Bug 463713 - [LTC 6.0 FEAT] 200829:UEFI support - gnu-efi
[LTC 6.0 FEAT] 200829:UEFI support - gnu-efi
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnu-efi (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Chris Lumens
Release Test Team
: FutureFeature
Depends On:
Blocks: 356741 464553 495116 495132 511114 511881 511889 511890 511891 511948 512362 512364 515064 519844 554552 554559 555224 555228
  Show dependency treegraph
 
Reported: 2008-09-24 03:51 EDT by IBM Bug Proxy
Modified: 2010-11-10 15:34 EST (History)
5 users (show)

See Also:
Fixed In Version: gnu-efi-3.0e-7.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:34:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 03:51:21 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-17 10:31 EDT
1. Feature Overview:
Feature Id:	[200829]
a. Name of Feature:	UEFI support - gnu-efi
b. Feature Description
Request full support for UEFI for i386 and x86_64 archs. Requires UEFI
extensions to lilo/grub boot loaders.  Also expect support EFI Variables in
NVRAM exported to the OS, EFI runtime  services. It appears most of the
development for i386 is complete, but needs to be verified. x86_64 support is
being developed by Intel and needs to be submitted upstream.  ia64 has supported
EFI from the beginning.

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Installer: Yes
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	xSeries
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	uEFI code submitted to gnu-efi

3. Business Case
All upcoming System x hardware will support UEFI-based BIOS. UEFI is projected
to be on system x hardware as soon as 1H 08, which means it would be in test 2H07

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
Comment 1 Bill Nottingham 2008-10-03 11:05:13 EDT
This feature is in the current Fedora beta release.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2008-10-03 12:02:29 EDT
in Red Hat CVS Tree Marking as Accepted
Comment 3 John Jarvis 2008-10-28 17:43:31 EDT
Switching Severity from Urgent to High.  Urgent should be reserved for problems that need to be fixed asynch.
Comment 6 IBM Bug Proxy 2010-06-15 18:01:09 EDT
------- Comment From garyhade@us.ibm.com 2010-06-15 17:56 EDT-------
Using a x3850 M3 running RHEL6 Snap6 I installed  the below gnu-efi
package, the below grub package, and the packages they depended on.
I then used rpmbuild(8) to build a new grub.efi that I used to replace the
existing /boot/efi/EFI/redhat/grub.efi.  The new grub.efi worked fine when
the system was restarted.
gnu-efi-3.0g-2.el6.x86_64.rpm
grub-0.97-62.el6.src.rpm

Moving to Distro State to VERIFIED based on the above check.
Comment 7 Alexander Todorov 2010-07-13 11:31:25 EDT
Moving to VERIFIED as per comment #6
Comment 8 releng-rhel@redhat.com 2010-11-10 15:34:54 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.